#!/bin/bash

#rpmbuildDir="/run/media/jpc/SanDisk_JPC/distributions/soc/9/rpmbuild"
 rpmbuildDir="/dsk/l2/distributions/soc/9-alma/rpmbuild"
    #githash="53e06077a"  # v1.74
    #githash="ae4698093"  # v1.74
     githash="49632f1cb"

 if [ ! -d ${rpmbuildDir} ]; then
   echo "[ERROR] \"${rpmbuildDir}\" doesn\'t exists."
   exit 1
 fi
 cd ${rpmbuildDir}

 pushd ./SOURCES/Surelog
 git checkout ${githash}
 git submodule update --init
 git ls-files --recurse-submodules | tar czaf ../surelog-1.74.git${githash}.tar.gz -T-
#git archive --format tar.gz -o ../surelog-1.74.git${githash}.tar.gz --prefix=surelog-1.74/ ${githash}
 popd

#rpmbuild -bp \
#         --define "githash ${githash}" SPECS.SoC/surelog.spec

 rpmbuild -ba \
          --define "githash ${githash}" \
          --define 'debug_package %{nil}' SPECS.SoC/surelog.spec
